UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor krbvroc1
Visitor
5,882 Views
Registered: ‎10-09-2016

2016.3 Documentation Navigator ERROR

Jump to solution

I upgraded to 2016.3 (Linux). When I use the Documentation Navigator and select Download Manager to download new documentation, it fails to load 49 documents. However if I select a single document and click Open Document, it loads the same exact URL in my browser. So it would appear something with the Download Manager is not working with 2016.3 and I would obviously prefer not to have to download everything individually.

0 Kudos
1 Solution

Accepted Solutions
Visitor krbvroc1
Visitor
10,887 Views
Registered: ‎10-09-2016

Re: 2016.3 Documentation Navigator ERROR

Jump to solution

krbvroc1 wrote:

So it appears all the files in the catalog that get downloaded to the xilinx2016_3 directory are listed in the catalog with a https URL. All other documents are simply http. Maybe a missing dependency or something introduced with 2016.3


Installing the 32-bit version of openssl-libs fixed this problem.

View solution in original post

0 Kudos
5 Replies
Xilinx Employee
Xilinx Employee
5,856 Views
Registered: ‎08-01-2008

Re: 2016.3 Documentation Navigator ERROR

Jump to solution
check these links
https://www.xilinx.com/support/download.html
http://www.xilinx.com/video/support/how-to-use-document-navigator.html
Thanks and Regards
Balkrishan
--------------------------------------------------------------------------------------------
Please mark the post as an answer "Accept as solution" in case it helped resolve your query.
Give kudos in case a post in case it guided to the solution.
0 Kudos
Visitor krbvroc1
Visitor
5,851 Views
Registered: ‎10-09-2016

Re: 2016.3 Documentation Navigator ERROR

Jump to solution

I don't understand the point of your generic response. I already know how to use the Documentation Navigator - I am reporting that there appears to be a problem with version 2016.3. There is a bunch of documentation marked to be downloaded for 2016.3 and they all fail with an error in the download manager. See screenshot below. However if I go back to the catalog and select one of the guides that fails, right click open document, it launches in my PDF reader. So it is something wrong with the bulk download process via the 2016.3 download manager. This worked fine for me last week with 2016.2.

 

docnaverr1.png

0 Kudos
Visitor krbvroc1
Visitor
5,846 Views
Registered: ‎10-09-2016

Re: 2016.3 Documentation Navigator ERROR

Jump to solution

Running docnav by hand in a terminal to see the console output yields the following clue:

 

For each failed file:

QSslSocket: cannot call unresolved function SSLv23_client_method
QSslSocket: cannot call unresolved function SSL_CTX_new
QSslSocket: cannot call unresolved function SSL_library_init
QSslSocket: cannot call unresolved function ERR_get_error

 

So it appears all the files in the catalog that get downloaded to the xilinx2016_3 directory are listed in the catalog with a https URL. All other documents are simply http. Maybe a missing dependency or something introduced with 2016.3

0 Kudos
Visitor krbvroc1
Visitor
10,888 Views
Registered: ‎10-09-2016

Re: 2016.3 Documentation Navigator ERROR

Jump to solution

krbvroc1 wrote:

So it appears all the files in the catalog that get downloaded to the xilinx2016_3 directory are listed in the catalog with a https URL. All other documents are simply http. Maybe a missing dependency or something introduced with 2016.3


Installing the 32-bit version of openssl-libs fixed this problem.

View solution in original post

0 Kudos
Newbie david0dl
Newbie
2,736 Views
Registered: ‎09-26-2017

Re: 2016.3 Documentation Navigator ERROR

Jump to solution

Seems thatthere was a breakage between openssl and the libssl-dev (Debian/Ubuntu and others), or compat-openssl10-devel (Fedora)...

 

Here they indicate the solution for several OSes:

 

https://github.com/wkhtmltopdf/wkhtmltopdf/issues/3001

0 Kudos